Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733390 - games-engines/scummvm installs metainfo files into /usr/share/appdata
Summary: games-engines/scummvm installs metainfo files into /usr/share/appdata
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL: https://github.com/scummvm/scummvm/co...
Whiteboard:
Keywords:
Depends on:
Blocks: appdata-deprecated
  Show dependency tree
 
Reported: 2020-07-21 05:58 UTC by Agostino Sarubbo
Modified: 2020-09-23 15:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.bz2 (build.log.bz2,90.37 KB, application/x-bzip-compressed-tar)
2020-07-21 05:59 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-21 05:58:55 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: games-engines/scummvm installs metainfo files into /usr/share/appdata.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-21 05:59:02 UTC
Created attachment 650050 [details]
build.log.bz2

build log and emerge --info
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2020-07-21 06:51:42 UTC
Already fixed upstream (see URL)
Comment 3 Larry the Git Cow gentoo-dev 2020-09-23 15:09:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2b80866b0cb63563a0c0c4078e9eaa3d49ee10b

commit e2b80866b0cb63563a0c0c4078e9eaa3d49ee10b
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2020-09-23 14:26:20 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2020-09-23 15:09:30 +0000

    games-engines/scummvm: Bump to version 2.2.0
    
    - Added "gtk" USE flag (enabled by default) which provides the gtk file
      chooser for scummvm
    - Enabled "net" USE flag by default
    - Added "fribidi" USE flag
    - Fixed call to strings (bug #733388)
    - Fixed sdl2 detection with /usr merge (bug #699396)
    
    Closes: https://bugs.gentoo.org/699396
    Closes: https://bugs.gentoo.org/733390
    Closes: https://bugs.gentoo.org/733388
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 games-engines/scummvm/Manifest             |   1 +
 games-engines/scummvm/metadata.xml         |   1 +
 games-engines/scummvm/scummvm-2.2.0.ebuild | 126 +++++++++++++++++++++++++++++
 3 files changed, 128 insertions(+)